Shutdown the worker

- « Worker::isShutdown

- Worker::stack »

- PHP Manual
- Worker
- Shutdown the worker

# Worker::shutdown

(PECL pthreads >= 2.0.0)

Worker::shutdown — Shutdown the worker

### Description

public Worker::shutdown(): bool

Shuts down the worker after executing all of the stacked tasks.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Shutdown the referenced worker

    <?php
    $my = new Worker();
    $my->start();
    /* stack/execute tasks */
    var_dump($my->shutdown());

The above example will output:

    bool(true)